Skip to main content

Images

List all available images.​

GET http://printer/api/v3/images

Query Parameters​

NameTypeDescription
detailsString"1" or "true" to include details in the response.

Response​

Dictionary of objects.

Get information about an image.​

GET http://printer/api/v3/images/{name}/info

Path Parameters​

NameTypeDescription
nameStringLabel name

Response​

NameTypeDescription
fileSizenumberImage file size in bytes.
formatobjectImage format.
heightnumberImage height in pixels.
height_mmnumberImage height in millimeters.
intentstringRender intent.
blackModestringImage black mode. v6.0
statestringImage state. One of PROCESSING, READY, ERROR.
uidstringUnique ID of the image.
widthnumberImage width in pixels.
width_mmnumberImage width in millimeters.

The image format has the following values:

NameTypeDescription
alphastringAlpha channel. One of NONE, STRAIGHT, PREMULTIPLIED.
bitsPerChannelnumberNumber of bits per channel.
channelsnumberNumber of channels.
colorSpacestringOptional color space. One of GRAY, RGB, CMYK.

Get an image.​

GET http://printer/api/v3/images/{name}

Path Parameters​

NameTypeDescription
nameStringLabel name

Response​

Image data.

Delete an image.​

DELETE http://printer/api/v3/images/{name}

Path Parameters​

NameTypeDescription
nameStringImage name

Response​

None

Create or replace an image.​

PUT http://printer/api/v3/images/{name}

Path Parameters​

NameTypeDescription
nameStringImage name

Query Parameters​

NameTypeDescription
intentStringImage rendering intent. See Image.
blackModeStringImage black mode. v6.0

Headers​

NameTypeDescription
Content-typeStringAny of application/json (see Image), image/jpeg, image/png or image/tiff.

Response​

None